Skip to main content
POST
/
event
/
Trigger an Event
curl --request POST \
  --url https://hub.suprsend.com/event/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "distinct_id": "0fxxx8f74-xxxx-41c5-8752-xxxcb6911fb08",
  "event": "ON SHIPMENT ARRIVAL",
  "properties": {
    "amount": "3780$",
    "number": "TRXC1034",
    "vehicle": "Truck",
    "locations": "San Francisco"
  }
}
'
import requests

url = "https://hub.suprsend.com/event/"

payload = {
"distinct_id": "0fxxx8f74-xxxx-41c5-8752-xxxcb6911fb08",
"event": "ON SHIPMENT ARRIVAL",
"properties": {
"amount": "3780$",
"number": "TRXC1034",
"vehicle": "Truck",
"locations": "San Francisco"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
distinct_id: '0fxxx8f74-xxxx-41c5-8752-xxxcb6911fb08',
event: 'ON SHIPMENT ARRIVAL',
properties: {
amount: '3780$',
number: 'TRXC1034',
vehicle: 'Truck',
locations: 'San Francisco'
}
})
};

fetch('https://hub.suprsend.com/event/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"OK"

Authorizations

Authorization
string
header
required

Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.

Body

application/json
distinct_id
string
default:_distinct_id_
required

distinct_id of recipient who should receive the notification

event
string
default:_event_name_
required

string identifier for the event like product_purchased

properties
object

Properties are used to render template or workflow variables in the trigger.

tenant_id
string

string identifier of the tenant this event is associated with

$idempotency_key
string

Idempotency key (valid for 24hours)

Response

202 - application/json

202 - Accepted

Confirmation that the event was accepted for processing.

message
string

Status message indicating the event was accepted.

Example:

"OK"